> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# English language model text encoder

> The English language encoder is an embedding use that takes in plain English text and returns a 768-dimensional vector encoding of that text. This model powers this semantic search.

The API truncates incoming text to approximately 256 words before the model encodes it and returns a vector. An example usage pattern is to encode all the texts and descriptions in a website and then use this encoder on query text, supporting natural language queries such as "1990s children’s fiction".

Each API request includes one batch containing up to 32 text strings.



## OpenAPI

````yaml /api-reference/saas/machine-learning-platform-predict.json post /ai/prediction/embedding/text-encoder
openapi: 3.0.1
info:
  title: Lucidworks AI Prediction API
  version: v0
  description: >-
    The Lucidworks AI Prediction API is used to send synchronous API calls that
    run predictions from pre-trained models or custom models.


    The Use Case API returns a list of all supported models.


    The `prediction` endpoints require an authentication token with scope
    `machinelearning.predict`.
  contact:
    name: Lucidworks
    url: https://lucidworks.com/
    email: support@lucidworks.com
  termsOfService: https://lucidworks.com/legal/developer-license-agreement/
  license:
    name: Lucidworks
    url: https://lucidworks.com/legal/developer-license-agreement/
servers:
  - url: https://APPLICATION_ID.applications.lucidworks.com
    description: Production
security: []
tags:
  - name: Get predictions
    description: Submit prediction tasks to Lucidworks AI.
paths:
  /ai/prediction/embedding/text-encoder:
    post:
      tags:
        - Get predictions
      summary: English language model text encoder
      description: >-
        The English language encoder is an embedding use that takes in plain
        English text and returns a 768-dimensional vector encoding of that text.
        This model powers this semantic search.


        The API truncates incoming text to approximately 256 words before the
        model encodes it and returns a vector. An example usage pattern is to
        encode all the texts and descriptions in a website and then use this
        encoder on query text, supporting natural language queries such as
        "1990s children’s fiction".


        Each API request includes one batch containing up to 32 text strings.
      operationId: post-ai-prediction-embedding-text-encoder
      parameters:
        - in: header
          name: Authorization
          schema:
            type: string
          required: true
          description: >-
            Bearer token used for authentication. Format: `Authorization: Bearer
            ACCESS_TOKEN`.
          example: Bearer abc123def456
        - schema:
            type: string
            example: application/json
          in: header
          name: Content-Type
          description: application/json
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchEmbeddingEncoders'
            example:
              batch:
                - text: city streets
                - text: city gateways
              useCaseConfig:
                dataType: query
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmbeddingEncodersResponse'
              example:
                predictions:
                  - tokensUsed:
                      inputTokens: 4
                    vector:
                      - 0.018902658
                      - -0.03418664
                      - 0.051422413
                      - -0.0033997858
                      - -0.04509421
                      - 0.054535553
                      - 0.016070662
                      - 0.083665654
                      - 0.050305944
                      - -0.05140388
                      - -0.042930763
                      - -0.006804204
                      - -0.055920716
                      - -0.038177665
                      - 0.0381545
                      - -0.026262563
                      - -0.008579668
                      - 0.016968817
                      - -0.00981948
                      - -0.006802901
                      - -0.004904239
                      - 0.03174755
                      - 0.011839171
                      - 0.001910968
                      - 0.005824978
                      - 0.027468137
                      - -0.0068615335
                      - 0.024790684
                      - -0.019892018
                      - 0.0013098817
                      - 0.030737631
                      - 0.074520804
                      - 0.024027238
                      - -0.0074562496
                      - -0.0070763724
                      - -0.0058321804
                      - -0.007097219
                      - -0.029690651
                      - -0.05596241
                      - 0.005853353
                      - -0.025150655
                      - 0.0736128
                      - -0.05277978
                      - -0.005891572
                      - -0.00239508
                      - -0.035098113
                      - -0.016130887
                      - -0.039488707
                      - -0.060108628
                      - -0.022844754
                      - 0.019980619
                      - 0.03212569
                      - 0.046377458
                      - 0.074242845
                      - -0.04314387
                      - -0.028460683
                      - -0.025111279
                      - -0.020145077
                      - 0.009395014
                      - 0.03748277
                      - 0.010825344
                      - -0.031849466
                      - 0.020487314
                      - 0.062207222
                      - 0.041689213
                      - 0.007696062
                      - 0.006608475
                      - -0.0014888177
                      - -0.043797072
                      - -0.015575548
                      - 0.015025999
                      - 0.039803725
                      - 0.02328138
                      - 0.016566355
                      - -0.04399164
                      - -0.051672574
                      - 0.00084661675
                      - 0.0054202
                      - -0.05633302
                      - 0.03895132
                      - -0.024207983
                      - 0.0072998977
                      - 0.031291813
                      - 0.015322489
                      - 0.051251005
                      - -0.018257273
                      - -0.057491183
                      - -0.059103344
                      - -0.019304251
                      - 0.0067150258
                      - -0.061132446
                      - 0.0012667401
                      - -0.017551951
                      - 0.004085418
                      - -0.019205807
                      - 0.0038566808
                      - -0.04705382
                      - -0.0006566781
                      - 0.021858
                      - 0.012202399
                      - -0.043199457
                      - -0.01183642
                      - 0.0103059085
                      - -0.017617967
                      - -0.0015310907
                      - 0.002759901
                      - -0.0017071314
                      - 0.057472654
                      - 0.06502387
                      - -0.00597496
                      - 0.0174648
                      - 0.0021635923
                      - 0.019698026
                      - 0.02606792
                      - 0.044538293
                      - 0.0023365926
                      - 0.027795898
                      - 0.106606536
                      - -0.07889403
                      - -0.043384764
                      - -0.06700665
                      - -0.04448625
                      - 0.05858449
                      - 0.016432587
                      - -0.027042514
                      - -0.010761646
                      - -0.03264165
                      - 0.0070605925
                      - 0.013886368
                      - 0.015572652
                      - -0.05870494
                      - 0.019896071
                      - -0.050593168
                      - -0.027550368
                      - -0.015584233
                      - -0.041406624
                      - -0.07517864
                      - 0.057824735
                      - -0.050505146
                      - -0.044686537
                      - 0.016107723
                      - 0.060289305
                      - 0.01697953
                      - -0.0032335895
                      - 0.04575205
                      - 0.01018488
                      - -0.035601914
                      - -0.05183935
                      - 0.0026186053
                      - 0.074808024
                      - 0.034656852
                      - 0.0790886
                      - 0.0035665613
                      - 0.013962227
                      - 0.04475603
                      - 0.022639759
                      - 0.010675362
                      - 0.05190421
                      - -0.062077507
                      - -0.018644098
                      - -0.003118642
                      - 0.021431506
                      - 0.019149637
                      - 0.021141097
                      - -0.02018677
                      - 0.003994502
                      - -0.006988931
                      - -0.028735748
                      - 0.0152130425
                      - -0.03860387
                      - 0.03221313
                      - -0.050977677
                      - -0.024125682
                      - -0.05016233
                      - 0.0008500912
                      - -0.019133711
                      - 0.033873934
                      - -0.032694925
                      - 0.01737707
                      - 0.0039325403
                      - -0.0075257393
                      - -0.022345586
                      - -0.054368775
                      - -0.002503368
                      - 0.013420786
                      - 0.008978075
                      - 0.042481396
                      - 0.06750697
                      - -0.0019144425
                      - 0.02243737
                      - 0.053998165
                      - 0.028513959
                      - -0.05844551
                      - 0.00054462586
                      - -0.05383602
                      - -0.0009879125
                      - 0.016782787
                      - -0.05509147
                      - 0.0052881697
                      - 0.04545556
                      - -0.0042811474
                      - -0.04136609
                      - 0.009584952
                      - -0.026491808
                      - -0.027816745
                      - 0.017689772
                      - 0.01863136
                      - -0.042629644
                      - -0.048142496
                      - -0.018305914
                      - -0.007371125
                      - -0.06950828
                      - -0.023330024
                      - -0.011602472
                      - 0.07061084
                      - -0.06502387
                      - 0.039433114
                      - 0.0055244346
                      - -0.023796184
                      - 0.01140732
                      - 0.041315127
                      - -0.02011844
                      - 0.0102358395
                      - -0.02596137
                      - -0.0556138
                      - -0.0332022
                      - -0.02748551
                      - 0.026492966
                      - 0.0057621477
                      - -0.03573163
                      - 0.060011346
                      - 0.07665182
                      - 0.048017412
                      - 0.062633425
                      - -0.06642293
                      - -0.04551115
                      - 0.030102957
                      - -0.04216522
                      - -0.026651634
                      - -0.040599383
                      - 0.015878407
                      - 0.020936102
                      - 0.0038045635
                      - -0.022083841
                      - 0.009192335
                      - -0.040703617
                      - 0.035555586
                      - -0.022329371
                      - -0.00019225496
                      - -0.03683188
                      - 0.034656852
                      - -0.045469455
                      - -0.045589905
                      - -0.06104906
                      - -0.021093613
                      - 0.05741706
                      - 0.008618466
                      - -0.035745524
                      - -0.009228238
                      - 0.026598359
                      - 0.0040570428
                      - -0.029991774
                      - -0.006486687
                      - 0.009016294
                      - -0.01816375
                      - 0.026740232
                      - 0.030773245
                      - -0.015532406
                      - -0.037177015
                      - 0.004160119
                      - -0.0533079
                      - 0.019137476
                      - -0.027411388
                      - -0.023549207
                      - 0.05140504
                      - 0.0062494446
                      - -0.05886708
                      - 0.060715508
                      - 0.056916732
                      - 0.030575488
                      - 0.035184976
                      - 0.047757987
                      - 0.032312732
                      - -0.077217005
                      - -0.016797988
                      - 0.0012589225
                      - -0.017365487
                      - 0.048112385
                      - -0.023192203
                      - -0.0074689896
                      - -0.054211266
                      - -0.008440109
                      - -0.04305932
                      - -0.0029706866
                      - -0.01055665
                      - -0.021622892
                      - 0.0045836675
                      - 0.008902795
                      - -0.021558035
                      - -0.06349973
                      - 0.036900215
                      - 0.01717555
                      - 0.03505613
                      - -0.0061278376
                      - -0.036356747
                      - -0.032576792
                      - -0.034786858
                      - 0.030797856
                      - -0.004806374
                      - 0.04566866
                      - 0.009268859
                      - -0.022338636
                      - -0.00019399221
                      - 0.040554214
                      - 0.006920057
                      - -0.017870156
                      - 0.031674005
                      - -0.06599673
                      - -0.038344443
                      - -0.05427149
                      - -0.024140738
                      - -0.03775841
                      - 0.03398975
                      - -0.046831455
                      - -0.0017106059
                      - -0.066376604
                      - -0.01937699
                      - -0.0018594298
                      - 0.021745658
                      - -0.003105323
                      - 0.023807766
                      - -0.037895076
                      - 0.015946738
                      - -0.003993344
                      - -0.023446998
                      - 0.014376849
                      - -0.026268281
                      - -0.04587713
                      - 0.06744211
                      - -0.013738702
                      - -0.024949135
                      - 0.004363956
                      - 0.0034206328
                      - 0.016389156
                      - -0.0028163614
                      - -0.05145484
                      - -0.03247719
                      - -0.057060346
                      - -0.008803338
                      - 0.017800957
                      - 0.02873401
                      - -0.028775703
                      - 0.050964937
                      - 0.0023528794
                      - -0.035601914
                      - 0.02923897
                      - 0.0122522
                      - 0.011995957
                      - 0.016850684
                      - 0.06809995
                      - -0.021034546
                      - 0.017853653
                      - -0.0050325054
                      - -0.039118093
                      - 0.010888464
                      - -0.0065783625
                      - 0.030340381
                      - -0.0070946133
                      - 0.09879589
                      - -0.0048709414
                      - 0.020901358
                      - 0.0056915
                      - 0.02309839
                      - -0.012079634
                      - -0.010497584
                      - 0.0033557757
                      - -0.017140804
                      - 0.015507795
                      - -0.01344395
                      - 0.05599947
                      - 0.05213584
                      - -0.0068476354
                      - -0.021562668
                      - -0.0021185686
                      - 0.0027691664
                      - -0.040162757
                      - -0.015979456
                      - -0.09015136
                      - 0.030607916
                      - -0.010826502
                      - -0.028678417
                      - 0.026146675
                      - -0.0266858
                      - 0.039539665
                      - 0.033125762
                      - 0.01825264
                      - -0.013327554
                      - -0.01280696
                      - -0.038265686
                      - 0.016319666
                      - 0.010372503
                      - 0.017863497
                      - -0.010688916
                      - -0.06603379
                      - -0.033822976
                      - 0.032719824
                      - 0.006555199
                      - -0.018651048
                      - 0.060131792
                      - -0.015270372
                      - -0.056305226
                      - 0.020207617
                      - 0.03657477
                      - 0.017929675
                      - 0.0113774985
                      - -0.004741517
                      - -0.01219726
                      - 0.03134914
                      - 0.03988943
                      - -0.009078727
                      - -0.043190192
                      - -0.03965548
                      - 0.019958613
                      - -0.060863752
                      - 0.035903037
                      - -0.010005944
                      - 0.03371179
                      - 0.030325325
                      - 0.012175834
                      - 0.0894472
                      - 0.03078859
                      - 0.07092587
                      - -0.034332566
                      - 0.023299912
                      - -0.014444602
                      - -0.014756292
                      - 0.06964725
                      - -0.010849087
                      - 0.014599795
                      - 0.05662951
                      - 0.012855603
                      - -0.04261111
                      - -0.065551996
                      - 0.03963695
                      - 0.016494984
                      - -0.032201547
                      - 0.02054696
                      - 0.05830653
                      - 0.00097169826
                      - 0.03302153
                      - 0.03076369
                      - 0.034156527
                      - 0.009704243
                      - 0.0010294616
                      - -0.014717928
                      - -0.057107832
                      - -0.045038622
                      - 0.007793275
                      - -0.020673778
                      - -0.060242977
                      - -0.038469523
                      - 0.083128266
                      - 0.035821963
                      - -0.07755982
                      - 0.013958174
                      - 0.004341372
                      - -0.020740373
                      - -0.044010174
                      - 0.0062770233
                      - -0.04355154
                      - 0.042078357
                      - 0.024609359
                      - 0.011377787
                      - 0.0053164
                      - 0.06789611
                      - 0.018667262
                      - -0.032201547
                      - 0.010414341
                      - 0.041886102
                      - -0.01768847
                      - -0.027740307
                      - -0.026974617
                      - -0.00017719885
                      - -0.0067080767
                      - -0.040595908
                      - -0.000093594004
                      - 0.035777953
                      - -0.049050495
                      - -0.003364462
                      - 0.019891439
                      - 0.01396049
                      - -0.012721256
                      - 0.043245785
                      - -0.0117715625
                      - 0.0095837945
                      - 0.003596963
                      - 0.040943358
                      - -0.0062083295
                      - 0.050843332
                      - -0.0051735113
                      - -0.05846404
                      - 0.03617636
                      - -0.008802035
                      - -0.056004103
                      - 0.020720683
                      - -0.010004207
                      - 0.04167416
                      - 0.07751349
                      - -0.057630163
                      - -0.00492219
                      - 0.03077585
                      - 0.01938051
                      - 0.016448222
                      - 0.026028542
                      - 0.029088408
                      - 0.008903374
                      - -0.0010828818
                      - -0.06973991
                      - -0.010297801
                      - 0.01707942
                      - -0.023133136
                      - -0.021143414
                      - -0.010297222
                      - -0.013319447
                      - 0.011809782
                      - -0.02450802
                      - -0.028896637
                      - -0.041318603
                      - -0.012453721
                      - -0.02250078
                      - -0.007137755
                      - -0.004832143
                      - 0.06902648
                      - 0.061215833
                      - -0.020600235
                      - -0.024835635
                      - 0.027724093
                      - -0.04349595
                      - -0.051779125
                      - 0.044700436
                      - -0.0061706896
                      - -0.01007138
                      - -0.00923982
                      - -0.016560854
                      - -0.044547558
                      - -0.09294949
                      - -0.050292045
                      - 0.025426298
                      - -0.03617173
                      - -0.075716026
                      - -0.07712435
                      - -0.0131069245
                      - 0.041485377
                      - 0.06865587
                      - 0.04017434
                      - 0.06360628
                      - 0.046284802
                      - -0.053201348
                      - 0.010400299
                      - -0.017762303
                      - 0.00605053
                      - 0.006731819
                      - -0.038372237
                      - -0.0027680083
                      - -0.00833877
                      - 0.010758171
                      - 0.036875892
                      - 0.009983939
                      - 0.041056857
                      - -0.07921831
                      - 0.039970502
                      - -0.014076017
                      - 0.004225556
                      - 0.0058171605
                      - -0.044234857
                      - -0.043829497
                      - -0.01230258
                      - -0.015849743
                      - -0.0027396332
                      - 0.024004074
                      - 0.06923958
                      - 0.013154409
                      - -0.002913792
                      - -0.06311522
                      - -0.009700769
                      - 0.018109027
                      - -0.01529006
                      - -0.043831814
                      - 0.022555213
                      - 0.04099895
                      - -0.046900947
                      - -0.058037836
                      - 0.03159467
                      - 0.05734294
                      - 0.055221185
                      - 0.07363133
                      - -0.029567886
                      - -0.008914665
                      - -0.047864538
                      - 0.022584166
                      - -0.038511217
                      - 0.034915414
                      - -0.040169705
                      - 0.005511695
                      - 0.0062928754
                      - 0.04650717
                      - -0.022838963
                      - -0.01143338
                      - -0.02723998
                      - -0.01350374
                      - 0.028080951
                      - -0.014629329
                      - 0.029558621
                      - 0.058297265
                      - 0.052020025
                      - 0.014299831
                      - 0.057546776
                      - -0.024974614
                      - 0.00011581624
                      - 0.03030911
                      - 0.055360164
                      - 0.119985625
                      - -0.04832896
                      - 0.047012128
                      - -0.016142467
                      - -0.01772915
                      - -0.030558115
                      - 0.024869222
                      - -0.0038265686
                      - 0.00958032
                      - 0.015819341
                      - 0.06648779
                      - 0.027172808
                      - -0.019181486
                      - 0.035069156
                      - -0.05067945
                      - -0.0019132843
                      - 0.040605176
                      - -0.021018332
                      - -0.004041987
                      - -0.03338982
                      - -0.010136237
                      - 0.042110786
                      - 0.02593589
                      - -0.008165045
                      - 0.031883053
                      - 0.03970181
                      - -0.044864897
                      - 0.001471735
                      - -0.03245171
                      - -0.06280483
                      - 0.058176816
                      - -0.015431935
                      - 0.031396624
                      - -0.005666889
                      - -0.004037354
                      - -0.042004235
                      - -0.035393443
                      - 0.044908907
                      - 0.029917652
                      - -0.044908907
                      - 0.07834737
                      - 0.034332566
                      - -0.009528202
                      - -0.06266122
                      - 0.04273156
                      - 0.0058875186
                      - 0.0014893969
                      - 0.0063432558
                      - 0.0756975
                      - 0.026737338
                      - -0.089373074
                      - -0.022959411
                      - 0.016275657
                      - -0.009765626
                      - -0.0008917851
                      - -0.060326364
                      - 0.026773531
                      - -0.0447375
                      - 0.025988007
                      - -0.06765985
                      - 0.0006068771
                      - -0.007856973
                      - 0.05890877
                      - -0.023209576
                      - 0.0016492233
                      - -0.018314023
                      - -0.011072974
                      - -0.014379744
                      - 0.025606971
                      - 0.005541228
                      - -0.01353197
                      - 0.014457341
                      - -0.03757542
                      - -0.043593235
                      - -0.08702896
                      - -0.024916127
                      - -0.06815554
                      - -0.044626314
                      - 0.015027157
                      - 0.013476378
                      - 0.06872999
                      - -0.014011449
                      - -0.010428094
                      - -0.022706933
                      - 0.014426071
                      - 0.013584087
                      - 0.08372124
                      - 0.039752766
                      - -0.039474808
                      - -0.054313187
                      - 0.014241924
                      - -0.03036007
                      - 0.071064845
                      - 0.04073952
                      - 0.012607973
                      - 0.06490806
                      - 0.049397945
                      - -0.05568908
                      - 0.015962085
                      - -0.0007134281
                      - -0.023588294
                      - -0.050563056
                      - 0.055392593
                      - 0.023885725
                      - 0.036076758
                      - -0.0055423863
                      - 0.025827022
                      - 0.024673492
                      - 0.031493332
                      - -0.0059872656
                      - -0.0069704005
                      - -0.019951085
                      - -0.06967042
                      - -0.044959866
                      - 0.023953116
                      - 0.060029875
                      - 0.003429319
                      - 0.026298394
                      - -0.019471027
                      - -0.042446654
                      - 0.016749345
                      - 0.014643806
                      - 0.024672335
                      - 0.06477371
                      - -0.00014824478
                      - 0.05337739
                      - 0.0139419595
                      - 0.017100269
                      - 0.0071203825
                      - -0.038599238
                      - 0.021320034
                      - -0.0015102437
                      - 0.008268122
                      - 0.0053495523
                      - 0.053738736
                      - 0.00979458
                      - 0.036106873
                      - -0.007987847
                      - 0.020772802
                      - -0.02384888
                      - 0.055943877
                      - 0.047396637
                      - -0.010062115
                      - 0.026122354
                      - 0.01702962
                      - -0.004409124
                      - 0.034640636
                  - tokensUsed:
                      inputTokens: 5
                    vector:
                      - -0.024221472
                      - -0.053863384
                      - 0.040351488
                      - -0.01628605
                      - -0.008773426
                      - 0.025967535
                      - -0.017723221
                      - 0.066997066
                      - 0.031646647
                      - -0.05416909
                      - -0.000035029032
                      - -0.022461692
                      - 0.0018365287
                      - -0.030384623
                      - 0.05892716
                      - -0.04332822
                      - -0.0012502669
                      - -0.011427303
                      - -0.027893849
                      - 0.011418975
                      - -0.01824302
                      - 0.020633325
                      - 0.06298367
                      - 0.042775594
                      - 0.027337343
                      - -0.02834853
                      - -0.012170017
                      - -0.02082635
                      - 0.000463706
                      - -0.008287796
                      - 0.05418477
                      - 0.071324006
                      - -0.005981452
                      - -0.015127643
                      - -0.008605383
                      - -0.027458841
                      - -0.02348758
                      - -0.025058249
                      - -0.06433192
                      - 0.013960509
                      - -0.043923955
                      - 0.030239606
                      - -0.043892603
                      - -0.051562734
                      - 0.011593384
                      - -0.052691504
                      - -0.05271012
                      - -0.017240163
                      - -0.090105444
                      - -0.037590314
                      - 0.0047953026
                      - 0.0023339624
                      - 0.0019332106
                      - 0.06889402
                      - 0.011613656
                      - -0.021439238
                      - 0.0013070973
                      - -0.047847208
                      - 0.02318873
                      - 0.0017275988
                      - 0.010884842
                      - 0.020677662
                      - -0.014865047
                      - 0.01957829
                      - 0.043653525
                      - -0.015036518
                      - 0.025524652
                      - 0.03951471
                      - -0.0062155705
                      - -0.02376683
                      - -0.0066050543
                      - 0.02799579
                      - 0.04567198
                      - -0.016177043
                      - -0.03657227
                      - -0.03725913
                      - 0.0064022294
                      - -0.010384271
                      - -0.050575063
                      - 0.019501127
                      - -0.09618041
                      - 0.038989518
                      - 0.040616043
                      - -0.0013173855
                      - 0.07046176
                      - -0.011314131
                      - -0.033079162
                      - -0.007641228
                      - 0.00399037
                      - -0.035732552
                      - -0.0012990136
                      - -0.031295866
                      - 0.0135755865
                      - -0.015583265
                      - -0.0037067083
                      - -0.039930157
                      - -0.0020382977
                      - 0.017864315
                      - -0.0035572837
                      - 0.022637084
                      - -0.0040493435
                      - -0.035818778
                      - 0.010269141
                      - -0.037680462
                      - -0.012148705
                      - -0.016909959
                      - -0.027147256
                      - 0.009907582
                      - 0.015860558
                      - 0.011856899
                      - -0.04036716
                      - -0.0060259732
                      - 0.00085490436
                      - 0.032424636
                      - 0.043032307
                      - -0.023016278
                      - -0.006960244
                      - 0.081247754
                      - -0.02611353
                      - -0.03411387
                      - 0.000045981345
                      - -0.011581627
                      - 0.055482067
                      - 0.02875712
                      - -0.01598818
                      - -0.06520985
                      - -0.02657503
                      - 0.010941795
                      - 0.028360287
                      - -0.0049324795
                      - -0.036826044
                      - 0.033320203
                      - -0.045750365
                      - 0.03339859
                      - 0.015979119
                      - -0.0081620095
                      - -0.073667765
                      - 0.0968467
                      - -0.024148967
                      - -0.05576426
                      - -0.02148382
                      - -0.013513857
                      - 0.06531959
                      - -0.04043183
                      - 0.005587253
                      - -0.009808232
                      - -0.034317672
                      - -0.036692787
                      - 0.05070832
                      - 0.033557322
                      - 0.0016382808
                      - 0.06402229
                      - -0.009525937
                      - 0.026570132
                      - -0.00686024
                      - 0.021443646
                      - 0.017883912
                      - 0.030231768
                      - -0.009616082
                      - 0.0054326844
                      - 0.023892248
                      - 0.035995148
                      - -0.024154844
                      - 0.025765691
                      - -0.038525075
                      - 0.0069413823
                      - -0.021692524
                      - -0.022493048
                      - 0.07526685
                      - -0.07156701
                      - 0.049407102
                      - -0.074153766
                      - -0.023191668
                      - -0.05782583
                      - -0.0006932319
                      - -0.030845145
                      - 0.06708329
                      - -0.030676613
                      - -0.007777241
                      - 0.027104141
                      - -0.019577064
                      - -0.056191463
                      - -0.04502529
                      - 0.0028429243
                      - 0.023239681
                      - -0.021873793
                      - 0.00373889
                      - 0.013409261
                      - -0.031732872
                      - 0.021059552
                      - 0.01667578
                      - 0.038977757
                      - -0.037076883
                      - 0.0059338687
                      - -0.038193893
                      - -0.013897462
                      - 0.040761054
                      - 0.027123738
                      - -0.029080283
                      - 0.051445153
                      - -0.0059240703
                      - -0.041152988
                      - 0.028166281
                      - -0.04798046
                      - -0.041740887
                      - 0.032131176
                      - 0.03356124
                      - -0.030120067
                      - -0.03848784
                      - -0.009658215
                      - -0.034031563
                      - -0.06295231
                      - -0.019902369
                      - -0.0348507
                      - 0.048207786
                      - -0.033667065
                      - -0.038425133
                      - -0.014438637
                      - -0.025014646
                      - 0.02253616
                      - 0.08058931
                      - 0.015709663
                      - 0.05005379
                      - 0.027947288
                      - -0.0322757
                      - -0.033306483
                      - 0.020117931
                      - -0.02107425
                      - 0.0071780123
                      - 0.0029968193
                      - 0.017537052
                      - 0.044854794
                      - -0.0058682202
                      - 0.006503152
                      - 0.02048635
                      - -0.05779055
                      - 0.0034019805
                      - -0.014268328
                      - -0.05674017
                      - 0.0073730205
                      - -0.0039771423
                      - 0.030144563
                      - -0.026089035
                      - -0.008342789
                      - 0.015308912
                      - -0.06517849
                      - 0.016916817
                      - -0.034174617
                      - 0.08820065
                      - -0.005975022
                      - -0.0081737675
                      - 0.011334403
                      - -0.021793446
                      - -0.010656664
                      - 0.045605347
                      - 0.00812698
                      - 0.036586475
                      - 0.0034480325
                      - 0.049442377
                      - -0.017067712
                      - 0.009453919
                      - -0.012865559
                      - -0.03726207
                      - 0.008641638
                      - -0.023976514
                      - -0.031554542
                      - 0.028961906
                      - -0.022465613
                      - -0.011812638
                      - 0.017047135
                      - -0.07923322
                      - 0.012185204
                      - -0.033882506
                      - 0.015487241
                      - 0.052969776
                      - -0.0017999533
                      - -0.012878865
                      - 0.028258385
                      - 0.044221826
                      - 0.057237927
                      - 0.011844466
                      - 0.04421007
                      - 0.034196172
                      - -0.12391361
                      - 0.008374143
                      - 0.018342964
                      - 0.011756037
                      - 0.037635386
                      - 0.012719458
                      - -0.01630932
                      - -0.035176005
                      - -0.015993815
                      - -0.048325367
                      - 0.023740374
                      - 0.008701407
                      - 0.030892177
                      - 0.0101128565
                      - 0.024691792
                      - 0.010924771
                      - -0.020584824
                      - 0.06950544
                      - -0.006190585
                      - 0.027740482
                      - 0.051159047
                      - -0.025310067
                      - -0.036218546
                      - -0.04817251
                      - 0.0055127856
                      - -0.020184562
                      - 0.0050160103
                      - 0.042595305
                      - 0.02752743
                      - -0.00057883636
                      - 0.07666214
                      - -0.007488864
                      - 0.004426396
                      - 0.047192678
                      - -0.042156335
                      - 0.035787422
                      - -0.024880901
                      - -0.022293162
                      - -0.05411814
                      - -0.014077751
                      - 0.010881537
                      - -0.0552763
                      - -0.048689865
                      - -0.018069591
                      - -0.010851682
                      - 0.045930654
                      - -0.07093991
                      - -0.004300487
                      - -0.03092745
                      - -0.0057969373
                      - -0.058366694
                      - -0.021157535
                      - 0.026062578
                      - 0.016531743
                      - 0.010020752
                      - 0.07156701
                      - -0.03105679
                      - -0.01549508
                      - -0.010285307
                      - -0.0038386795
                      - 0.010802659
                      - 0.0393207
                      - 0.0074599585
                      - -0.021759642
                      - -0.066330776
                      - 0.008433913
                      - 0.037946973
                      - 0.072421424
                      - -0.067600645
                      - 0.05246026
                      - 0.024090176
                      - 0.0027631293
                      - 0.0349624
                      - 0.003250596
                      - 0.0068358053
                      - 0.033126198
                      - 0.06389687
                      - -0.027694
                      - 0.0029501547
                      - -0.014479973
                      - -0.076325074
                      - -0.0087739155
                      - -0.02166215
                      - 0.024154844
                      - 0.009163399
                      - 0.05462373
                      - 0.004620035
                      - -0.023588499
                      - 0.030615864
                      - -0.026916748
                      - 0.018745186
                      - -0.014847411
                      - 0.018042646
                      - 0.027884088
                      - 0.030858861
                      - 0.012824056
                      - 0.05111201
                      - 0.054756988
                      - -0.018403715
                      - -0.017707542
                      - -0.014465276
                      - -0.023917725
                      - -0.0034673843
                      - -0.016507799
                      - -0.05446696
                      - -0.00066334696
                      - -0.00027190367
                      - -0.05513717
                      - -0.029516002
                      - 0.007944241
                      - 0.013206741
                      - 0.027913975
                      - 0.015338306
                      - -0.036998495
                      - 0.0028371373
                      - 0.0051174234
                      - 0.022226531
                      - 0.032526538
                      - -0.024208734
                      - 0.03297824
                      - 0.0007417336
                      - -0.031045029
                      - 0.051833168
                      - 0.028166281
                      - -0.04567198
                      - 0.046302993
                      - 0.038766112
                      - -0.043865163
                      - 0.02599938
                      - -0.02511214
                      - 0.038187034
                      - 0.0656449
                      - -0.010643437
                      - -0.019943276
                      - 0.013184878
                      - 0.012061745
                      - -0.010349977
                      - -0.044860676
                      - -0.0071515567
                      - 0.015342961
                      - 0.0089204
                      - -0.04301467
                      - 0.047443517
                      - 0.053906497
                      - 0.003303507
                      - 0.04243265
                      - 0.11408392
                      - 0.028948186
                      - 0.047157403
                      - -0.006821766
                      - -0.003147224
                      - -0.054325864
                      - 0.030445373
                      - 0.056289446
                      - -0.02746766
                      - 0.0014192882
                      - 0.01529106
                      - 0.04249144
                      - -0.026604427
                      - -0.09064632
                      - -0.012604082
                      - -0.014799398
                      - 0.003984491
                      - 0.005697729
                      - 0.06725574
                      - -0.0137353
                      - 0.061074954
                      - 0.07275064
                      - -0.03315363
                      - 0.038650494
                      - 0.011487563
                      - -0.10528894
                      - -0.021231024
                      - -0.035595376
                      - -0.026094913
                      - -0.035528746
                      - -0.059319094
                      - 0.0003561693
                      - 0.006827722
                      - 0.020825371
                      - -0.034717444
                      - 0.053393066
                      - -0.009462371
                      - 0.025339218
                      - -0.033298645
                      - 0.003643999
                      - -0.017291114
                      - 0.054186728
                      - 0.06305422
                      - 0.012223172
                      - 0.04828421
                      - 0.068745084
                      - -0.035901085
                      - -0.01367357
                      - 0.007364425
                      - 0.053671338
                      - 0.010932977
                      - -0.012394888
                      - -0.05329508
                      - -0.0037624058
                      - -0.007047939
                      - -0.05385946
                      - -0.03984393
                      - 0.012646705
                      - -0.041225493
                      - -0.025378225
                      - 0.031264514
                      - 0.060302842
                      - 0.017036356
                      - 0.03098428
                      - 0.00647492
                      - 0.011747219
                      - -0.0058351047
                      - 0.0482313
                      - 0.0064186417
                      - 0.032185555
                      - -0.026541717
                      - -0.021831661
                      - 0.01214601
                      - 0.028662076
                      - -0.003417045
                      - 0.03346326
                      - -0.08033847
                      - -0.06454357
                      - 0.02601518
                      - -0.04537803
                      - -0.019706402
                      - 0.033608273
                      - 0.021292754
                      - -0.0052808104
                      - 0.012340813
                      - 0.0089546945
                      - -0.013038638
                      - 0.006532547
                      - -0.06697355
                      - -0.014083997
                      - 0.04865459
                      - 0.010762487
                      - 0.016992755
                      - -0.049218975
                      - -0.017717341
                      - -0.03673002
                      - -0.004411683
                      - -0.05391825
                      - -0.008085949
                      - -0.00975087
                      - -0.0064771865
                      - -0.013669651
                      - -0.047098614
                      - 0.0070619015
                      - 0.051500026
                      - 0.0020647533
                      - -0.056273773
                      - 0.015644014
                      - -0.019888652
                      - -0.03965776
                      - 0.027923282
                      - 0.014979932
                      - -0.016761024
                      - 0.06329721
                      - 0.028798027
                      - -0.019995822
                      - -0.049869582
                      - -0.01332377
                      - 0.029620353
                      - -0.06108671
                      - -0.07484356
                      - -0.056712735
                      - -0.026445204
                      - 0.03779804
                      - 0.02481329
                      - 0.045405462
                      - 0.05563492
                      - 0.017512556
                      - -0.054243557
                      - -0.030221969
                      - -0.018719343
                      - 0.0032476569
                      - 0.04219161
                      - -0.0023506195
                      - -0.08119289
                      - -0.021299612
                      - 0.013873333
                      - -0.022694893
                      - -0.048734933
                      - -0.020570613
                      - -0.08972919
                      - 0.02376291
                      - 0.0005972083
                      - 0.022506274
                      - -0.046849735
                      - -0.008306045
                      - -0.029445942
                      - -0.061118066
                      - -0.00956807
                      - 0.029394992
                      - -0.00085490436
                      - 0.081671044
                      - -0.002223486
                      - -0.013391133
                      - -0.052440666
                      - 0.03280089
                      - 0.038750436
                      - -0.0077132457
                      - -0.035070185
                      - 0.0039996784
                      - 0.000846637
                      - -0.058123697
                      - -0.035250474
                      - 0.03280873
                      - 0.065476365
                      - 0.03363963
                      - 0.06096913
                      - 0.02482701
                      - -0.027876984
                      - -0.037864666
                      - -0.0374453
                      - -0.036771175
                      - 0.006719695
                      - 0.006362301
                      - 0.009968822
                      - -0.017874114
                      - -0.0013624579
                      - -0.0019949402
                      - -0.009824908
                      - -0.029434185
                      - -0.036982816
                      - -0.03086915
                      - -0.017097596
                      - 0.0042402274
                      - 0.03350441
                      - 0.051441234
                      - 0.008604893
                      - 0.024306718
                      - -0.051731266
                      - 0.084077515
                      - 0.05550558
                      - 0.054349378
                      - 0.09299008
                      - -0.041039325
                      - 0.061294436
                      - -0.05751228
                      - -0.03135074
                      - 0.0066109337
                      - -0.014384424
                      - 0.012823074
                      - 0.045272205
                      - 0.0004976327
                      - 0.010800088
                      - -0.02149362
                      - 0.024631044
                      - 0.025799004
                      - -0.04400234
                      - 0.0066525764
                      - 0.043218475
                      - -0.005286689
                      - -0.03274259
                      - -0.025281651
                      - 0.018102415
                      - -0.0026558375
                      - 0.012068114
                      - -0.0042465962
                      - 0.01390579
                      - -0.011238685
                      - -0.051790055
                      - 0.0008244683
                      - 0.007153271
                      - -0.013899911
                      - 0.030325832
                      - -0.057802312
                      - 0.036526218
                      - 0.052193746
                      - 0.02453208
                      - -0.040472984
                      - 0.0023097114
                      - -0.021969816
                      - 0.013915099
                      - -0.040976617
                      - 0.017354803
                      - 0.04805493
                      - -0.03279697
                      - -0.06623671
                      - 0.05452183
                      - 0.045054685
                      - -0.009759627
                      - -0.010833831
                      - 0.0894078
                      - 0.028262304
                      - -0.07633291
                      - -0.026778838
                      - -0.023807984
                      - 0.0013886684
                      - 0.020706812
                      - -0.04495866
                      - 0.008679851
                      - -0.017507657
                      - 0.03683878
                      - -0.046232443
                      - 0.022153044
                      - -0.009984499
                      - 0.032726422
                      - -0.06259957
                      - -0.0138599835
                      - -0.0050236043
                      - 0.02993978
                      - -0.0014883663
                      - 0.04019863
                      - 0.021499496
                      - 0.000092471746
                      - -0.0139214685
                      - -0.029838856
                      - -0.059730623
                      - -0.014607351
                      - -0.049379665
                      - -0.032934148
                      - -0.033361357
                      - 0.07031282
                      - -0.0037244067
                      - 0.09341336
                      - 0.059142724
                      - -0.009260892
                      - -0.007960164
                      - -0.025524652
                      - -0.0005003579
                      - 0.056845997
                      - 0.08658589
                      - 0.005497353
                      - 0.03626558
                      - 0.0063041234
                      - 0.00065312
                      - 0.053024646
                      - 0.026373187
                      - 0.03596771
                      - 0.025145456
                      - 0.005737688
                      - -0.028264266
                      - 0.03836242
                      - -0.008220799
                      - -0.0107668955
                      - 0.0071326946
                      - 0.058241278
                      - 0.0008253869
                      - 0.0589154
                      - 0.046397056
                      - 0.022022361
                      - 0.0456563
                      - 0.019851418
                      - 0.02589307
                      - -0.006468215
                      - 0.033471096
                      - -0.045962006
                      - -0.01960646
                      - -0.012907341
                      - 0.071927585
                      - 0.040106528
                      - -0.006210182
                      - -0.087902784
                      - -0.030046962
                      - 0.003740019
                      - -0.0137485275
                      - 0.008398517
                      - 0.042219043
                      - -0.017006962
                      - 0.11226535
                      - 0.017467484
                      - 0.011845202
                      - 0.009820866
                      - 0.0037280198
                      - -0.034866136
                      - -0.03774317
                      - -0.041317597
                      - 0.0052017495
                      - -0.012316256
                      - 0.021092866
                      - 0.07268793
                      - 0.018889222
                      - 0.0016553667
                      - 0.04284222
                      - 0.036767256
                      - 0.020586293
                      - 0.0047622947
                      - 0.022296345
                      - 0.04159195
                      - -0.057418216
                      - -0.02546635
components:
  schemas:
    BatchEmbeddingEncoders:
      title: BatchEmbeddingEncoders
      type: object
      x-examples: {}
      properties:
        batch:
          type: array
          description: >-
            The batch of key:value pairs used as inputs in the prediction. Up to
            32 inputs per request are allowed.
          maxItems: 32
          items:
            type: object
            properties:
              text:
                type: string
                description: The content the model analyzes.
        useCaseConfig:
          $ref: '#/components/schemas/UseCaseConfigEmbedding'
        modelConfig:
          $ref: '#/components/schemas/ModelConfigEmbedding'
    EmbeddingEncodersResponse:
      type: object
      x-examples: {}
      properties:
        predictions:
          type: array
          items:
            type: object
            properties:
              vector:
                $ref: '#/components/schemas/JsonNode'
    UseCaseConfigEmbedding:
      title: UseCaseConfigKeywordEmbedding
      type: object
      properties:
        dataType:
          type: string
          description: >-
            This optional parameter enables model-specific handling in the
            Prediction API to help improve model accuracy. Use the most
            applicable fields based on available dataTypes and the dataType
            value that best aligns with the text sent to the Prediction API.


            The two string values to use for embedding models are:


            * `"dataType": "query"` for the query. For query-to-query pairing,
            best practice is to use `dataType=query` on both API calls.


            * `"dataType": "passage"` for fields searched at query time.


            For example, if questions and answers from a FAQ are indexed, the
            value for questions is `"dataType": "query"` and the value for the
            answers is `"dataType": "passage"`. 
          default: query
          example: passage
    ModelConfigEmbedding:
      title: ModelConfigEmbedding
      type: object
      description: Provides fields and values specific to pre-trained embedding models.
      properties:
        lowercaseInput:
          type: boolean
          default: false
          description: >-
            This parameter is optional, and controls how query response text
            becomes vectors. If `lowercaseInput` is set to `true`, inputs are
            set to lowercase before encoding, so variation in embeddings is not
            introduced (which makes similarity search more stable and
            predictable). This field is used for pre-trained models and
            instances in a similarity query when you don't want the case to
            affect the vectors returned in the query. Default value is `false`.
          example: true
    JsonNode:
      type: array
      description: The list of model predictions for the input batch.
      example:
        - -0.0011799398344010115
        - 0.07051781564950943
        - -0.06832550466060638
        - 0.020428132265806198
        - 0.11977626383304596
      items: {}

````